function WriteSidePanel()
{
var blnShowButton=false;
	var strHTML='';
	
	if(parent){
		if(parent.objFrames){
			var winTopTB=parent.objFrames.GetFrameWindow(parent.TOPTOOLBAR_FRAME_ID);
			if (winTopTB){
				blnShowButton=winTopTB.blnHasFeature117;
			}
		}
	}
	
	strHTML+=m_objMqButton.GetTextButtonHTML("AddAssets", g_MqRef.RESX['BUTTON_ADD_BULK_ASSETS'], "AddBulkAssets()", "", 65, "", "", 150);
	
	//strHTML+=m_objMqButton.GetTextButtonHTML("AddAssetsInv", g_MqRef.RESX['BUTTON_ADD_ASSETS_INVOICE'], "AddNewInvoice()", "", 65, "", "", 150);

	//strHTML+=m_objMqButton.GetTextButtonHTML("AddAssetsExt", g_MqRef.RESX['BUTTON_ADD_ASSETS_EXTERNAL'], "AddExternal()", "", 65, "", "", 150);

	strHTML+=m_objMqButton.GetTextButtonHTML("MassUpdate", g_MqRef.RESX['SL.MASS_UPDATE_SELECTED_ISSUES'], "OpenBatchUpdateWindow()", "", 65, "padding-bottom:50px;", "", 150);

	if(parent.UserHasAccessToView(83, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("AssetTypes", g_MqRef.RESX['BUTTON_MANAGE_SW_ASSET_DEFS'], "ManageAssetDefs()", "", 65, "", "", 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	if(parent.UserHasAccessToView(44, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdLicMgr",  g_MqRef.RESX["LM.BUTTON_SW_LICENSES"], "parent.LoadView('View=LicenseManager%2FLicenses')", "", 65, "", g_MqRef.RESX["LM.BUTTON_TOOLTIP_SW_LICENSES"], 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}

	document.write(strHTML);
}

function AddNewInvoice()
{
	var INV_TYPE_FIELD="912";
	var TYPE_PO=1;
	var strType="&txtPostData=" + g_MqRef.MqStr.MqEncodeURIComponent(INV_TYPE_FIELD + "=" + TYPE_PO);
	
	parent.OpenModalWindow(parent.GetVDURL(parent.g_VWS.URL().BaseVDName(), "View=Purchases%26Agreements%2FAdd" + strType), 1440, 900, true);
}

function EditResInfo(lngID)
{
	parent.LoadRecord(lngID, -1, false);
}

function AddBulkAssets()
{
	parent.OpenModalWindow(parent.GetVDURL(parent.g_VWS.URL().BaseVDName(), "View=Resources%2FAddGrp"), 1440, 900, true);
}

function AddExternal()
{
	parent.LoadView("View=Resources%2FUnmanagedLib");
}

function ManageAssetDefs()
{
	parent.LoadView("View=Resources%2FSWAssetTypes");
}

function ExportDeprec()
{
	if(parent){
		if(parent.m_objReportViewer){
			//parent.m_objReportViewer.setViewerType(1);
			parent.m_objReportViewer.ViewReportByID("3.10");
		}
	}
}

